import { FieldValueType, QueryConditionEnum, QueryFieldPathType } from '@towify-types/live-data';
import { Merge } from 'soid-data';
import { EventCategory } from '@towify-types/dsl';
export declare type EventQueryDetailType = {
    path: QueryFieldPathType;
    condition: {
        type: QueryConditionEnum;
        content: {
            source: EventCategory.Source;
            value?: FieldValueType;
        };
    };
};
export declare type EventQueryType = Merge<{
    id: string;
} & EventQueryDetailType>;
export declare type LiveDataEngineQueryType = {
    fieldPath: QueryFieldPathType;
    value: FieldValueType | FieldValueType[];
    condition: QueryConditionEnum;
};
